	.text
	.globl	__sincosl_table
	.section	.rodata
	.align 32
	.type	__sincosl_table, @object
	.size	__sincosl_table, 5312
__sincosl_table:
	.long	3786903585
	.long	4247737120
	.long	16382
	.long	0
	.long	3457205931
	.long	3378793376
	.long	49085
	.long	0
	.long	1438938166
	.long	2540782322
	.long	16380
	.long	0
	.long	3927730093
	.long	3158214727
	.long	16315
	.long	0
	.long	3860939659
	.long	4242645075
	.long	16382
	.long	0
	.long	411794965
	.long	3670118109
	.long	16317
	.long	0
	.long	3946207888
	.long	2673445218
	.long	16380
	.long	0
	.long	465654622
	.long	2791646797
	.long	49083
	.long	0
	.long	3127379777
	.long	4237294081
	.long	16382
	.long	0
	.long	457162304
	.long	4228590678
	.long	16317
	.long	0
	.long	798218645
	.long	2805944942
	.long	16380
	.long	0
	.long	2692607158
	.long	3298469873
	.long	49083
	.long	0
	.long	4150766707
	.long	4231684464
	.long	16382
	.long	0
	.long	981941307
	.long	3133649717
	.long	16317
	.long	0
	.long	154637601
	.long	2938273405
	.long	16380
	.long	0
	.long	2458536598
	.long	4013846557
	.long	16315
	.long	0
	.long	4277214833
	.long	4225816567
	.long	16382
	.long	0
	.long	370325328
	.long	2876804776
	.long	49085
	.long	0
	.long	3530186751
	.long	3070422530
	.long	16380
	.long	0
	.long	1917198469
	.long	3407291104
	.long	49082
	.long	0
	.long	4134591789
	.long	4219690748
	.long	16382
	.long	0
	.long	3020468065
	.long	3356243676
	.long	49083
	.long	0
	.long	3616909485
	.long	3202384253
	.long	16380
	.long	0
	.long	2083197636
	.long	3037602761
	.long	16315
	.long	0
	.long	3243665771
	.long	4213307381
	.long	16382
	.long	0
	.long	3321722471
	.long	2887770762
	.long	16310
	.long	0
	.long	3578404286
	.long	3334150519
	.long	16380
	.long	0
	.long	1506068764
	.long	3141167245
	.long	16312
	.long	0
	.long	4215060722
	.long	4206666855
	.long	16382
	.long	0
	.long	3312653447
	.long	3193454473
	.long	49084
	.long	0
	.long	1981321628
	.long	3465713286
	.long	16380
	.long	0
	.long	1873269386
	.long	2276464162
	.long	16315
	.long	0
	.long	4057188904
	.long	4199769576
	.long	16382
	.long	0
	.long	708011216
	.long	2210698321
	.long	49085
	.long	0
	.long	3493537383
	.long	3597064523
	.long	16380
	.long	0
	.long	1118891787
	.long	4170515750
	.long	16315
	.long	0
	.long	2659938159
	.long	4192615965
	.long	16382
	.long	0
	.long	1836803844
	.long	3097865913
	.long	16316
	.long	0
	.long	3809266488
	.long	3728196214
	.long	16380
	.long	0
	.long	1434641490
	.long	3535093126
	.long	16314
	.long	0
	.long	2684316569
	.long	4185206458
	.long	16382
	.long	0
	.long	2673257882
	.long	4154993226
	.long	49085
	.long	0
	.long	340595955
	.long	3859100356
	.long	16380
	.long	0
	.long	1798019338
	.long	3499870332
	.long	49081
	.long	0
	.long	858061241
	.long	4177541508
	.long	16382
	.long	0
	.long	158177242
	.long	2156058675
	.long	16317
	.long	0
	.long	2905505178
	.long	3989768957
	.long	16380
	.long	0
	.long	520984145
	.long	4019493320
	.long	16314
	.long	0
	.long	741989298
	.long	4169621582
	.long	16382
	.long	0
	.long	94009504
	.long	3840694309
	.long	16314
	.long	0
	.long	1462572520
	.long	4120194044
	.long	16380
	.long	0
	.long	2327458564
	.long	4238890089
	.long	16314
	.long	0
	.long	4017425320
	.long	4161447163
	.long	16382
	.long	0
	.long	1087770296
	.long	4166616717
	.long	49085
	.long	0
	.long	2561390036
	.long	4250367655
	.long	16380
	.long	0
	.long	1374204335
	.long	2649480307
	.long	16315
	.long	0
	.long	1769549227
	.long	4153018752
	.long	16382
	.long	0
	.long	3700454579
	.long	2260875188
	.long	49085
	.long	0
	.long	682286281
	.long	2190140923
	.long	16381
	.long	0
	.long	3346148228
	.long	3265133966
	.long	49082
	.long	0
	.long	126410696
	.long	4144336862
	.long	16382
	.long	0
	.long	331999306
	.long	3072315663
	.long	16313
	.long	0
	.long	2602675393
	.long	2254964343
	.long	16381
	.long	0
	.long	2904485561
	.long	3263374584
	.long	49084
	.long	0
	.long	2944206762
	.long	4135402022
	.long	16382
	.long	0
	.long	4051700992
	.long	2544740437
	.long	16317
	.long	0
	.long	2800703041
	.long	2319650132
	.long	16381
	.long	0
	.long	1267630506
	.long	4022946109
	.long	16316
	.long	0
	.long	3078438394
	.long	4126214779
	.long	16382
	.long	0
	.long	2217181992
	.long	3252325207
	.long	16314
	.long	0
	.long	902017676
	.long	2384194342
	.long	16381
	.long	0
	.long	3909076535
	.long	3992722335
	.long	16313
	.long	0
	.long	3715790998
	.long	4116775693
	.long	16382
	.long	0
	.long	3327268181
	.long	3936307762
	.long	16314
	.long	0
	.long	3581521250
	.long	2448593032
	.long	16381
	.long	0
	.long	408833425
	.long	2150846207
	.long	49082
	.long	0
	.long	1047270843
	.long	4107085341
	.long	16382
	.long	0
	.long	2352261888
	.long	3664911713
	.long	16316
	.long	0
	.long	4121229589
	.long	2512842273
	.long	16381
	.long	0
	.long	13919975
	.long	2803056219
	.long	16316
	.long	0
	.long	1297050407
	.long	4097144313
	.long	16382
	.long	0
	.long	1397397803
	.long	3179208108
	.long	16316
	.long	0
	.long	620510146
	.long	2576938144
	.long	16381
	.long	0
	.long	4108761121
	.long	3528654067
	.long	49084
	.long	0
	.long	3387555128
	.long	4086953216
	.long	16382
	.long	0
	.long	2225663762
	.long	2731364787
	.long	49085
	.long	0
	.long	1319026692
	.long	2640876731
	.long	16381
	.long	0
	.long	241812753
	.long	4115927582
	.long	16313
	.long	0
	.long	3075375869
	.long	4076512673
	.long	16382
	.long	0
	.long	786891218
	.long	3287550962
	.long	16317
	.long	0
	.long	4147426335
	.long	2704654132
	.long	16381
	.long	0
	.long	3484365663
	.long	3819668194
	.long	49083
	.long	0
	.long	1378147630
	.long	4065823321
	.long	16382
	.long	0
	.long	4080635114
	.long	3623116133
	.long	16317
	.long	0
	.long	2045313796
	.long	2768266456
	.long	16381
	.long	0
	.long	2871046274
	.long	4003130403
	.long	16316
	.long	0
	.long	112535257
	.long	4054885812
	.long	16382
	.long	0
	.long	1189471335
	.long	4067770410
	.long	49085
	.long	0
	.long	1161548647
	.long	2831709819
	.long	16381
	.long	0
	.long	3274916144
	.long	2745861187
	.long	49084
	.long	0
	.long	1723205542
	.long	4043700813
	.long	16382
	.long	0
	.long	3835955335
	.long	4203331716
	.long	16317
	.long	0
	.long	397195644
	.long	2894980349
	.long	16381
	.long	0
	.long	425495108
	.long	3916793852
	.long	16316
	.long	0
	.long	517894272
	.long	4032269008
	.long	16382
	.long	0
	.long	684681730
	.long	3100109895
	.long	49085
	.long	0
	.long	1010542809
	.long	2958074184
	.long	16381
	.long	0
	.long	843333682
	.long	2681298363
	.long	49078
	.long	0
	.long	3963284538
	.long	4020591093
	.long	16382
	.long	0
	.long	1326733956
	.long	2640340530
	.long	16317
	.long	0
	.long	3334452303
	.long	3020987473
	.long	16381
	.long	0
	.long	2900527921
	.long	2449622090
	.long	49082
	.long	0
	.long	2437328652
	.long	4008667783
	.long	16382
	.long	0
	.long	3198674308
	.long	3369348002
	.long	49081
	.long	0
	.long	3490884229
	.long	3083716377
	.long	16381
	.long	0
	.long	2202898960
	.long	4032019062
	.long	16316
	.long	0
	.long	3402141779
	.long	3996499804
	.long	16382
	.long	0
	.long	749825543
	.long	3384314147
	.long	49084
	.long	0
	.long	2987433617
	.long	3146257067
	.long	16381
	.long	0
	.long	641177441
	.long	2769933961
	.long	16316
	.long	0
	.long	1148459845
	.long	3984087900
	.long	16382
	.long	0
	.long	3315133398
	.long	3631556712
	.long	49085
	.long	0
	.long	1131048084
	.long	3208605726
	.long	16381
	.long	0
	.long	3161935540
	.long	4013338582
	.long	49084
	.long	0
	.long	2370757631
	.long	3971432827
	.long	16382
	.long	0
	.long	827776056
	.long	4061468414
	.long	49084
	.long	0
	.long	323635989
	.long	3270758548
	.long	16381
	.long	0
	.long	3354422120
	.long	4233701396
	.long	49084
	.long	0
	.long	198856546
	.long	3958535359
	.long	16382
	.long	0
	.long	650432306
	.long	2298260801
	.long	16317
	.long	0
	.long	2764667529
	.long	3332711739
	.long	16381
	.long	0
	.long	3379964579
	.long	2159713688
	.long	16316
	.long	0
	.long	4060216596
	.long	3945396281
	.long	16382
	.long	0
	.long	231911650
	.long	2375078651
	.long	49085
	.long	0
	.long	2855675180
	.long	3394461519
	.long	16381
	.long	0
	.long	705701959
	.long	3350226416
	.long	16316
	.long	0
	.long	818873319
	.long	3932016398
	.long	16382
	.long	0
	.long	666066241
	.long	3508674204
	.long	49085
	.long	0
	.long	1076396564
	.long	3456004119
	.long	16381
	.long	0
	.long	2919419925
	.long	3811471271
	.long	49083
	.long	0
	.long	1809854950
	.long	3918396524
	.long	16382
	.long	0
	.long	3709380443
	.long	3710945739
	.long	16314
	.long	0
	.long	677793582
	.long	3517335782
	.long	16381
	.long	0
	.long	322139922
	.long	4011608819
	.long	16316
	.long	0
	.long	3970400795
	.long	3904537491
	.long	16382
	.long	0
	.long	3700678621
	.long	3040366486
	.long	49085
	.long	0
	.long	76789405
	.long	3578452765
	.long	16381
	.long	0
	.long	2414318951
	.long	3626621055
	.long	16316
	.long	0
	.long	2506947351
	.long	3890440146
	.long	16382
	.long	0
	.long	2093375477
	.long	2460736565
	.long	49085
	.long	0
	.long	2427499684
	.long	3639351337
	.long	16381
	.long	0
	.long	1179563342
	.long	2427643517
	.long	49084
	.long	0
	.long	3558287934
	.long	3876105348
	.long	16382
	.long	0
	.long	1292531792
	.long	2631768200
	.long	16316
	.long	0
	.long	3714192441
	.long	3700027782
	.long	16381
	.long	0
	.long	4038244422
	.long	2905566271
	.long	49082
	.long	0
	.long	2495180967
	.long	3861533973
	.long	16382
	.long	0
	.long	2843855112
	.long	3781343875
	.long	16317
	.long	0
	.long	2315589914
	.long	3760478397
	.long	16381
	.long	0
	.long	3421713352
	.long	3428059906
	.long	49078
	.long	0
	.long	870864733
	.long	3846726910
	.long	16382
	.long	0
	.long	1176280239
	.long	2819917283
	.long	49085
	.long	0
	.long	4270649098
	.long	3820699491
	.long	16381
	.long	0
	.long	2107418396
	.long	3945684010
	.long	16316
	.long	0
	.long	1892950443
	.long	3831685062
	.long	16382
	.long	0
	.long	1218692379
	.long	4100478528
	.long	16316
	.long	0
	.long	2770925264
	.long	3880687390
	.long	16381
	.long	0
	.long	1509785868
	.long	3715844423
	.long	16315
	.long	0
	.long	1596577048
	.long	3816409348
	.long	16382
	.long	0
	.long	2700601875
	.long	3992835437
	.long	49084
	.long	0
	.long	598936145
	.long	3940438432
	.long	16381
	.long	0
	.long	2803754742
	.long	2435438576
	.long	16316
	.long	0
	.long	1488646002
	.long	3800900700
	.long	16382
	.long	0
	.long	4026593550
	.long	2306378922
	.long	16316
	.long	0
	.long	2498023963
	.long	3999948969
	.long	16381
	.long	0
	.long	2575717144
	.long	3460801408
	.long	49084
	.long	0
	.long	4008445035
	.long	3785160064
	.long	16382
	.long	0
	.long	1878009377
	.long	3178995889
	.long	49085
	.long	0
	.long	3243460475
	.long	4059215370
	.long	16381
	.long	0
	.long	300129527
	.long	2420249407
	.long	49083
	.long	0
	.long	3689577710
	.long	3769188402
	.long	16382
	.long	0
	.long	168447221
	.long	2219099322
	.long	49085
	.long	0
	.long	1479507780
	.long	4118234018
	.long	16381
	.long	0
	.long	667437466
	.long	2604911024
	.long	49084
	.long	0
	.long	4087985007
	.long	3752986688
	.long	16382
	.long	0
	.long	1750147436
	.long	4123363882
	.long	16317
	.long	0
	.long	667671086
	.long	4177001310
	.long	16381
	.long	0
	.long	2533278799
	.long	2227055060
	.long	16316
	.long	0
	.long	346532146
	.long	3736555912
	.long	16382
	.long	0
	.long	3966073974
	.long	2288447101
	.long	49085
	.long	0
	.long	1441052879
	.long	4235513659
	.long	16381
	.long	0
	.long	3952587999
	.long	3588889183
	.long	49083
	.long	0
	.long	410620275
	.long	3719897075
	.long	16382
	.long	0
	.long	3102654813
	.long	2243385950
	.long	49085
	.long	0
	.long	2544620021
	.long	4293767494
	.long	16381
	.long	0
	.long	2461702276
	.long	2899979764
	.long	49084
	.long	0
	.long	3290460241
	.long	3703011194
	.long	16382
	.long	0
	.long	1862376761
	.long	3521526909
	.long	16317
	.long	0
	.long	885695909
	.long	2175879630
	.long	16382
	.long	0
	.long	22629036
	.long	3447208315
	.long	49083
	.long	0
	.long	3089501205
	.long	3685899301
	.long	16382
	.long	0
	.long	913197300
	.long	2441361009
	.long	49082
	.long	0
	.long	2742213247
	.long	2204742708
	.long	16382
	.long	0
	.long	958807103
	.long	2490282432
	.long	49085
	.long	0
	.long	1619161188
	.long	3668562440
	.long	16382
	.long	0
	.long	3934624564
	.long	2260270469
	.long	49080
	.long	0
	.long	4034921761
	.long	2233471220
	.long	16382
	.long	0
	.long	2233290562
	.long	3727647605
	.long	16316
	.long	0
	.long	3830072277
	.long	3651001668
	.long	16382
	.long	0
	.long	2877225956
	.long	2909892681
	.long	49084
	.long	0
	.long	2872667317
	.long	2262063413
	.long	16382
	.long	0
	.long	148211285
	.long	3740319465
	.long	49083
	.long	0
	.long	354824478
	.long	3633218059
	.long	16382
	.long	0
	.long	3482687154
	.long	2860007695
	.long	49084
	.long	0
	.long	3034700722
	.long	2290517541
	.long	16382
	.long	0
	.long	3230222792
	.long	3301720140
	.long	16316
	.long	0
	.long	1586734600
	.long	3615212696
	.long	16382
	.long	0
	.long	3843089680
	.long	3634257179
	.long	49084
	.long	0
	.long	1543246272
	.long	2318831868
	.long	16382
	.long	0
	.long	3405109783
	.long	3583261464
	.long	49085
	.long	0
	.long	3035573023
	.long	3596986679
	.long	16382
	.long	0
	.long	3004254339
	.long	3668145581
	.long	16317
	.long	0
	.long	2003665051
	.long	2347004665
	.long	16382
	.long	0
	.long	3156853401
	.long	3564628205
	.long	49082
	.long	0
	.long	2219350013
	.long	3578541121
	.long	16382
	.long	0
	.long	1411156781
	.long	3774185971
	.long	49085
	.long	0
	.long	2172577668
	.long	2375034213
	.long	16382
	.long	0
	.long	2952003021
	.long	3361965661
	.long	49085
	.long	0
	.long	2667669710
	.long	3559877147
	.long	16382
	.long	0
	.long	925290418
	.long	4242788508
	.long	49082
	.long	0
	.long	2998559011
	.long	2402918801
	.long	16382
	.long	0
	.long	1421344856
	.long	3087753596
	.long	49085
	.long	0
	.long	741702320
	.long	3540995897
	.long	16382
	.long	0
	.long	1337156812
	.long	3426271057
	.long	16317
	.long	0
	.long	480671865
	.long	2430656728
	.long	16382
	.long	0
	.long	1367671480
	.long	3650246941
	.long	16317
	.long	0
	.long	2515432750
	.long	3521898522
	.long	16382
	.long	0
	.long	1705890374
	.long	2437207962
	.long	16317
	.long	0
	.long	3294484970
	.long	2458246299
	.long	16382
	.long	0
	.long	865497350
	.long	4094236143
	.long	16316
	.long	0
	.long	1998727193
	.long	3502586189
	.long	16382
	.long	0
	.long	112102928
	.long	3159025368
	.long	16317
	.long	0
	.long	3171104252
	.long	2485685832
	.long	16382
	.long	0
	.long	604581714
	.long	2206832549
	.long	16317
	.long	0
	.long	2306614726
	.long	3483060076
	.long	16382
	.long	0
	.long	2174673569
	.long	2150719045
	.long	49085
	.long	0
	.long	1108405260
	.long	2512973652
	.long	16382
	.long	0
	.long	2884382557
	.long	3698772058
	.long	49085
	.long	0
	.long	2465391231
	.long	3463321375
	.long	16382
	.long	0
	.long	2970629996
	.long	3364441247
	.long	16316
	.long	0
	.long	3515093927
	.long	2540108092
	.long	16382
	.long	0
	.long	544926345
	.long	2852636167
	.long	49085
	.long	0
	.long	1395172068
	.long	3443371291
	.long	16382
	.long	0
	.long	3928035380
	.long	3019057129
	.long	16317
	.long	0
	.long	1172470765
	.long	2567087498
	.long	16382
	.long	0
	.long	3603873194
	.long	3498202756
	.long	16317
	.long	0
	.long	1889043364
	.long	3423211041
	.long	16382
	.long	0
	.long	1602296899
	.long	4285456878
	.long	49078
	.long	0
	.long	4028315866
	.long	2593910221
	.long	16382
	.long	0
	.long	4043064238
	.long	3625472251
	.long	49085
	.long	0
	.long	1703929320
	.long	3402841856
	.long	16382
	.long	0
	.long	3919217563
	.long	2167337020
	.long	16316
	.long	0
	.long	2973849327
	.long	2620574626
	.long	16382
	.long	0
	.long	2939304269
	.long	2762836464
	.long	16313
	.long	0
	.long	1827966089
	.long	3382264979
	.long	16382
	.long	0
	.long	631172541
	.long	2415697907
	.long	16315
	.long	0
	.long	337661545
	.long	2647079085
	.long	16382
	.long	0
	.long	256881486
	.long	3396663902
	.long	49085
	.long	0
	.long	1859630832
	.long	3361481666
	.long	16382
	.long	0
	.long	1016378385
	.long	2809832290
	.long	16315
	.long	0
	.long	1722404752
	.long	2673421979
	.long	16382
	.long	0
	.long	2181247753
	.long	3564696903
	.long	16317
	.long	0
	.long	3973482333
	.long	3340493185
	.long	16382
	.long	0
	.long	4263096060
	.long	3912060754
	.long	49083
	.long	0
	.long	3543958156
	.long	2699601701
	.long	16382
	.long	0
	.long	4107317247
	.long	2412939244
	.long	16315
	.long	0
	.long	3997696780
	.long	3319300818
	.long	16382
	.long	0
	.long	809265409
	.long	4161774877
	.long	16317
	.long	0
	.long	2042844546
	.long	2725616654
	.long	16382
	.long	0
	.long	3198684035
	.long	2767742314
	.long	16317
	.long	0
	.long	3963157385
	.long	3297905858
	.long	16382
	.long	0
	.long	2219059171
	.long	3653506029
	.long	16315
	.long	0
	.long	2293036189
	.long	2751465249
	.long	16382
	.long	0
	.long	2280780516
	.long	2772054518
	.long	49084
	.long	0
	.long	3174445364
	.long	3276309611
	.long	16382
	.long	0
	.long	3294465996
	.long	3758336002
	.long	49085
	.long	0
	.long	1438320648
	.long	2777145909
	.long	16382
	.long	0
	.long	3315311910
	.long	3657790348
	.long	16317
	.long	0
	.long	2162491357
	.long	3254513395
	.long	16382
	.long	0
	.long	3831416960
	.long	3032645008
	.long	16317
	.long	0
	.long	1990775991
	.long	2802657066
	.long	16382
	.long	0
	.long	3037867474
	.long	2546260963
	.long	49084
	.long	0
	.long	2339038993
	.long	3232518540
	.long	16382
	.long	0
	.long	2380701002
	.long	2341517346
	.long	49085
	.long	0
	.long	3651722568
	.long	2827997163
	.long	16382
	.long	0
	.long	820896567
	.long	3898721416
	.long	49083
	.long	0
	.long	1352941672
	.long	3210326389
	.long	16382
	.long	0
	.long	2902058951
	.long	3945604396
	.long	16317
	.long	0
	.long	3719897379
	.long	2853164654
	.long	16382
	.long	0
	.long	3829850753
	.long	2963359796
	.long	16316
	.long	0
	.long	1328183068
	.long	3187938296
	.long	16382
	.long	0
	.long	427727684
	.long	3264384337
	.long	16317
	.long	0
	.long	1791858802
	.long	2878158003
	.long	16382
	.long	0
	.long	854323671
	.long	2271846902
	.long	16315
	.long	0
	.long	4213839018
	.long	3165355627
	.long	16382
	.long	0
	.long	3104997997
	.long	2646242582
	.long	49085
	.long	0
	.long	164662352
	.long	2902975684
	.long	16382
	.long	0
	.long	2661791375
	.long	3098408200
	.long	49085
	.long	0
	.long	2835937087
	.long	3142579762
	.long	16382
	.long	0
	.long	412725548
	.long	4206489997
	.long	49084
	.long	0
	.long	4235750190
	.long	2927616181
	.long	16382
	.long	0
	.long	494843631
	.long	3542336810
	.long	49085
	.long	0
	.long	2010974033
	.long	3119612090
	.long	16382
	.long	0
	.long	705712928
	.long	3306956469
	.long	16317
	.long	0
	.long	1425193495
	.long	2952077993
	.long	16382
	.long	0
	.long	2759000710
	.long	2558789871
	.long	49084
	.long	0
	.long	1001636485
	.long	3096454013
	.long	16382
	.long	0
	.long	3755114686
	.long	2480324440
	.long	49085
	.long	0
	.long	224642084
	.long	2976359625
	.long	16382
	.long	0
	.long	4186208168
	.long	2582286966
	.long	16317
	.long	0
	.long	1739256512
	.long	3073106944
	.long	16382
	.long	0
	.long	696758186
	.long	2713171700
	.long	16317
	.long	0
	.long	523938341
	.long	3000459595
	.long	16382
	.long	0
	.long	1644662128
	.long	2202683261
	.long	49084
	.long	0
	.long	4158318870
	.long	3049572308
	.long	16382
	.long	0
	.long	1774939366
	.long	2802787937
	.long	49085
	.long	0
	.long	2589553961
	.long	3024376432
	.long	16382
	.long	0
	.long	1766537762
	.long	2988895400
	.long	16313
	.long	0
	.long	1527944395
	.long	3025851543
	.long	16382
	.long	0
	.long	1304655206
	.long	2372715260
	.long	49084
	.long	0
	.long	3155218257
	.long	3048108677
	.long	16382
	.long	0
	.long	521598050
	.long	2930182397
	.long	16317
	.long	0
